Bug 239935 - sysutils/byobu: Update to version 5.129, fix negative memory consumption bug
Summary: sysutils/byobu: Update to version 5.129, fix negative memory consumption bug
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-18 00:45 UTC by Justin Coffman
Modified: 2019-08-29 01:58 UTC (History)
1 user (show)

See Also:


Attachments
Update to 5.129, update maintainer's email address (1.26 KB, patch)
2019-08-18 00:45 UTC, Justin Coffman
no flags Details | Diff
Update to 5.129, update maintainer's email address (1.26 KB, patch)
2019-08-21 02:51 UTC, Justin Coffman
no flags Details | Diff
Update to 5.129, update maintainer's email address (1.21 KB, patch)
2019-08-22 23:59 UTC, Justin Coffman
no flags Details | Diff
Update to 5.129, fix negative memory consumption bug (2.42 KB, patch)
2019-08-23 00:32 UTC, Justin Coffman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Coffman 2019-08-18 00:45:12 UTC
Created attachment 206649 [details]
Update to 5.129, update maintainer's email address

Updates byobu to 5.129. Launchpad.net now forces TLS connections, so fetch will fail if the NSS cert bundle isn't installed at fetch time.
Comment 1 Bugzilla Automation freebsd_committer 2019-08-18 00:45:12 UTC
Maintainer informed via mail
Comment 2 Justin Coffman 2019-08-21 02:51:28 UTC
Created attachment 206745 [details]
Update to 5.129, update maintainer's email address
Comment 3 Jason Helfman freebsd_committer 2019-08-22 18:51:02 UTC
I sent a message to jcoffman@ipsecure.io to verify this is the same person that is requesting the change. This is typically a formality, however the message bounced.
Comment 4 Justin Coffman 2019-08-22 18:52:37 UTC
(In reply to Jason Helfman from comment #3)

The domain expired, unfortunately. I forgot to enable autorenew, and by the time I realized it, it had fully lapsed.
Comment 5 Justin Coffman 2019-08-22 23:59:19 UTC
Created attachment 206806 [details]
Update to 5.129, update maintainer's email address

Possibly due to accidental editor mangling, the previous patch was failing to apply without --ignore-whitespace. This fixes that.
Comment 6 Justin Coffman 2019-08-23 00:32:01 UTC
Created attachment 206807 [details]
Update to 5.129, fix negative memory consumption bug

Updates byobu to version 5.129.

Previous versions would in many cases show memory usage as a negative percentage due to imperfect translation between Linux's memory management and FreeBSD's. I've fixed this to the best of my understanding.
Comment 7 commit-hook freebsd_committer 2019-08-29 01:57:02 UTC
A commit references this bug:

Author: jgh
Date: Thu Aug 29 01:56:51 UTC 2019
New revision: 510132
URL: https://svnweb.freebsd.org/changeset/ports/510132

Log:
  - update to 5.129
  - address negative memory consumption bug
  - update maintainer contact address

  PR:		239935
  Submitted by:	jcoffman@xsecure.io (maintainer)

Changes:
  head/sysutils/byobu/Makefile
  head/sysutils/byobu/distinfo
  head/sysutils/byobu/files/patch-usr_lib_byobu_memory
Comment 8 Jason Helfman freebsd_committer 2019-08-29 01:58:01 UTC
Thanks for your contribution, and please consider submitting a bug upstream regarding the memory issue with FreeBSD along with your patch.

-jgh